import { request } from "@/utils/request";

// ehcarts接口请求
export function appPlanStatistics(param) {
  return request({
    url: "/service-fire/appPatrolInspection/appPlanStatistics",
    method: "GET",
    data: param,
  });
}

/**
 * 异常上报接口集合
 * @method Select 查询
 * @method Insert 新增
 * @method Update 修改
 */
export function errorApi() {
  return {
    Select(data) {
      return request({
        url: "/service-fire/patrolInspectionEvent/patrolInspectionEventList",
        method: "POST",
        data: data,
      });
    },
    Insert(data) {
      return request({
        url: "/service-fire/patrolInspectionEvent/add",
        method: "POST",
        data: data,
      });
    },
    Update(data) {
      return request({
        url: "/service-fire/patrolInspectionEvent/edit",
        method: "PUT",
        data: data,
      });
    },
  };
}